<?php
/*---------------------------------------------------------------*/
/*
    Titre : Image alatoire                                                                                               
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=884
    Date dition     : 14 Fv 2019                                                                                        
*/
/*---------------------------------------------------------------*/

function select_random_pic($dir , $neverthesame){ 
  
  /* mettre $neverthesame a 1 pour ne pas selectionner 
  * 2 fois la meme image lors d'appels successifs, 
  * le mettre a 0 sinon. 
  * La variable globale $pics_tab contient les noms des images deja envoyes 
  * Parametre supplementaire : 
  * $pic_options : options de la balise <IMG> a inserer 
  * comme un texte ALT ou une bordure par exemple. 
  */ 
  
  global $pics_tab; 
  
  if (func_num_args()>= 3) 
  { 
  $options = func_get_arg(2); 
  } 
  
  if (!preg_match("/\/$/", $dir)) 
  { 
  $dir .= "/"; 
  } 
  
  if (!$neverthesame || !isset($pics_tab[$dir]) || sizeof($pics_tab[$dir]) == 0)
  { 
  $fp = opendir($dir); 
  if (!$fp) 
  return "Repertoire illisible"; 
  $pics = array(); 
  while ($file = readdir($fp)) 
  { 
  if (!is_dir($file) && preg_match("/\.(bmp|jpg|jpe|jpeg|gif|png|wbmp)$/i", 
$file))
  { 
  array_push($pics, "$dir$file"); 
  } 
  } 
  closedir($fp); 
  if (sizeof($pics) == 0) 
  return 
"Le repertoire \"$dir\"ne contient pas d'images aux formats supportes : GIF," .
" JPEG, BMP, PNG, WBMP";
  srand((double)microtime()*1000000); 
  shuffle($pics); 
  $pics_tab[$dir] = $pics; 
  } 
  $pic_name = array_pop($pics_tab[$dir]); 
  $size = getimagesize($pic_name); 
  $str = "<img src=\"" . $pic_name."\" ";
  if (isset($options)) 
  { 
  $str .= $options . ">"; 
  } 
  else 
  { 
  $str .= "border=0 ".$size[3].">"; 
  } 
  return ($str); 
}

?>